function dfi = OdeEqColdCavityField( z, fi, nz, k2z )
% Wyliczanie cold cavity field - obsluguje liczby zespolone
%  
% fi = [wartosc funkcji w kroku i; wartosc pochodnej w kroku i]
y(1) = fi(1)+1i*fi(2);
y(2) = fi(3)+1i*fi(4);

k2 = interp1(nz,k2z,z);
df = zeros(2,1);
df(1) = y(2);
df(2) = (-k2).*y(1);


dfi = [real(df(1));imag(df(1));real(df(2));imag(df(2))];

end

